_grk_plugin_code_block Struct Reference

Plugin code block. More...

`#include <grok.h>`

## Public Attributes

uint32_t | x0
uint32_t | y0
uint32_t | x1
uint32_t | y1
unsigned int * | contextStream
uint32_t | numPix
uint8_t * | compressedData
uint32_t | compressedDataLength
uint8_t | numBitPlanes
size_t | numPasses
grk_plugin_pass | passes [67]
unsigned int | sortedIndex

## Detailed Description

Plugin code block.

## Member Data Documentation

## compressedData

uint8_t* _grk_plugin_code_block::compressedData

## compressedDataLength

uint32_t _grk_plugin_code_block::compressedDataLength

## contextStream

unsigned int* _grk_plugin_code_block::contextStream

## numBitPlanes

uint8_t _grk_plugin_code_block::numBitPlanes

## numPasses

size_t _grk_plugin_code_block::numPasses

## numPix

uint32_t _grk_plugin_code_block::numPix

## passes

grk_plugin_pass _grk_plugin_code_block::passes[67]

## sortedIndex

unsigned int _grk_plugin_code_block::sortedIndex

## x0

uint32_t _grk_plugin_code_block::x0

## x1

uint32_t _grk_plugin_code_block::x1

## y0

uint32_t _grk_plugin_code_block::y0

## y1

uint32_t _grk_plugin_code_block::y1

The documentation for this struct was generated from the following file:

- grok.h